Subject: Hand-ee lathe/????

From: [email-masked] (John Sugg)
Date: Fri, 16 Sep 1994 01:45:00 GMT

Hello all,
I need some help on the identity of a multi-function tool I bought last
week at a blacksmith show. It is like a small table top lathe but it has
several attachments that I can't identify. It has Hand-ee cast in the
top of the main body with small sticker on the side that says Hand-ee,
Chicago,Ill. I think it was made post World War II. All parts are small
but extremely well made. The power source is missing but I think it
was something like an electric drill. It was so neat looking it was
worth the 20 bucks I shelled out for it. If anyone knows anything
please e-mail or post it.
Thanks.
--
John Sugg                                                               00010002
Yellow Hammer Forge                                                     00020002
Auburn,Alabama USA                                                     00030002
                                                                        00040001
"A farrier shoes horses: a blacksmith shoes flies!"...                  00050002
                                                                        00060002